=== demos/web_block_ajax_templates/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2010-2015, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

all: build_tpl
	gprbuild web_block_ajax_templates.gpr

build_tpl:
	echo Generate the templates callbacks
	templates2ada -d . -t templates.tada -o code.ada -e .thtml -e .txml
	gnat chop -w code.ada

clean:
	gprclean web_block_ajax_templates.gpr
	rm -f code.ada wblocks* *~ web_block_ajax_templates
