=== debian/changelog ===
libaws (20.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequence- syntax.
  * Standards-Version: 4.5.0.
  * Drop redundant branch from Vcs-Git.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 19:00:10 +0100

libaws (20.0-1) experimental; urgency=medium

  * New upstream release built with updated dependencies. Closes: #916323.
    Rename library and -dev package accordingly.
  * Move version control system to salsa.debian.org.
  * Pass sphinxdoc:Built-Using to control file.
  * Remove the unreproducible date from PDF documentation.
  * Debhelper 12. Examples are not compressed anymore.
  * Standards-Version: 4.4.1. Rules-Requires-Root: no.
  * Enable various linker warnings, drop --as-needed (by default with gcc-9).
  * Drop work-around for fixed #869098.
  * Wrap and sort build dependencies.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 05 Nov 2019 11:53:38 +0100
